Subject: Re: Re:[PATCH kernel 2.6.32-rc5] pcnet_cs: add cis of PreMax PE-200 ethernet pcmcia card

From: Ben Hutchings <[email-masked]>
Date: Fri, 05 Mar 2010 12:46:19 +0000

On Fri, 2010-03-05 at 21:01 +0900, Ken Kawasaki wrote:
> Hi,
>  
> > The CIS files under firmware/ are, according to firmware/WHENCE,
> > 'developed by the pcmcia-cs project'.  So I had a look at what's left of
> > the pcmcia-cs project and its last release, and found that it includes:
> > 
> > - the tool 'pack_cis' which compiles a text version of CIS to the
> >   standard binary format
> > - text versions of most of the CIS files
> > 
> > Since the text versions contain comments which are excluded from the
> > binary format, I believe they should be considered the 'preferred form
> > for modification' and included in the linux-2.6 and linux-firmware trees
> > along with the binaries.
> > 
>  
> Actually, it is better to build CIS by "pack_cis firmware/cis/src/xxx.cis"
> instead of "IHEX firmware/cis/xxx.cis".
>  
> In that case, the "pack_cis" tool should be included in the kernel-tree.

We don't include other firmware-building tools in the tree, even where
they are free software.  Why this one?

Ben.

-- 
Ben Hutchings
Q.  Which is the greater problem in the world today, ignorance or apathy?
A.  I don't know and I couldn't care less.